Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class QueryState

    java.lang.Object
      de.grogra.xl.query.QueryState

Direct Known Subclasses:
  Graph.QState

    public class QueryState

extends java.lang.Object

Nested Class Summary
`static class` | `QueryState.Break`

Field Summary
`static int` | `BINDING_MATCHED`
`static int` | `BINDING_MISMATCHED`
`static int` | `BINDING_PERFORMED`
`IntList` | `userIStack0`
`ObjectList` | `userStack0`
`ObjectList` | `userStack1`

Constructor Summary
`QueryState(Graph extent)`

Method Summary
`int` | `abind(int index, java.lang.Object value)`
`java.lang.Object` | `abound(int index)`
`protected boolean` | `allowsNoninjectiveMatches()`
`void` | `amatch(int index, java.lang.Object value, MatchConsumer consumer, int arg)`
`void` | `breakMatching()`
`int` | `dbind(int index, double value)`
`double` | `dbound(int index)`
`protected void` | `dispose()`
`void` | `dmatch(int index, double value, MatchConsumer consumer, int arg)`
`protected boolean` | `excludeFromMatch(java.lang.Object node, boolean context)`
`int` | `fbind(int index, float value)`
`float` | `fbound(int index)`
`void` | `fmatch(int index, float value, MatchConsumer consumer, int arg)`
`NodeData` | `getFirstNodeData()`
`Graph` | `getGraph()`
`java.lang.Object` | `getInValue()`
`RuntimeModel` | `getModel()`
`NodeData` | `getNodeData(java.lang.Object node)`
`java.lang.Object` | `getOutValue()`
`boolean` | `hasInVariable()`
`boolean` | `hasOutVariable()`
`int` | `ibind(int index, int value)`
`int` | `ibound(int index)`
`void` | `imatch(int index, int value, MatchConsumer consumer, int arg)`
`void` | `initialize()`
`boolean` | `isBound(int index)`
`boolean` | `isNull(int index)`
`int` | `lbind(int index, long value)`
`long` | `lbound(int index)`
`void` | `lmatch(int index, long value, MatchConsumer consumer, int arg)`
`int` | `nullbind(int index)`
`void` | `unbind(int index)`
`void` | `visitMatch(Producer prod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINDING_MATCHED

    public static final int BINDING_MATCHED

See Also:
  Constant Field Values

### BINDING_MISMATCHED

    public static final int BINDING_MISMATCHED

See Also:
  Constant Field Values

### BINDING_PERFORMED

    public static final int BINDING_PERFORMED

See Also:
  Constant Field Values

### userIStack0

    public final IntList userIStack0

### userStack0

    public final ObjectList userStack0

### userStack1

    public final ObjectList userStack1

Constructor Detail

### QueryState

    public QueryState(Graph extent)

Method Detail

### abind

    public int abind(int index,
                     java.lang.Object value)

### abound

    public java.lang.Object abound(int index)

### allowsNoninjectiveMatches

    protected boolean allowsNoninjectiveMatches()

### amatch

    public void amatch(int index,
                       java.lang.Object value,
                       MatchConsumer consumer,
                       int arg)

### breakMatching

    public void breakMatching()

### dbind

    public int dbind(int index,
                     double value)

### dbound

    public double dbound(int index)

### dispose

    protected void dispose()

### dmatch

    public void dmatch(int index,
                       double value,
                       MatchConsumer consumer,
                       int arg)

### excludeFromMatch

    protected boolean excludeFromMatch(java.lang.Object node,
                                       boolean context)

### fbind

    public int fbind(int index,
                     float value)

### fbound

    public float fbound(int index)

### fmatch

    public void fmatch(int index,
                       float value,
                       MatchConsumer consumer,
                       int arg)

### getFirstNodeData

    public NodeData getFirstNodeData()

### getGraph

    public Graph getGraph()

### getInValue

    public java.lang.Object getInValue()

### getModel

    public RuntimeModel getModel()

### getNodeData

    public NodeData getNodeData(java.lang.Object node)

### getOutValue

    public java.lang.Object getOutValue()

### hasInVariable

    public boolean hasInVariable()

### hasOutVariable

    public boolean hasOutVariable()

### ibind

    public int ibind(int index,
                     int value)

### ibound

    public int ibound(int index)

### imatch

    public void imatch(int index,
                       int value,
                       MatchConsumer consumer,
                       int arg)

### initialize

    public void initialize()

### isBound

    public boolean isBound(int index)

### isNull

    public boolean isNull(int index)

### lbind

    public int lbind(int index,
                     long value)

### lbound

    public long lbound(int index)

### lmatch

    public void lmatch(int index,
                       long value,
                       MatchConsumer consumer,
                       int arg)

### nullbind

    public int nullbind(int index)

### unbind

    public void unbind(int index)

### visitMatch

    public void visitMatch(Producer prod)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD